List Pipeline Files2
Deprecated
GET/api/v1/pipelines/{pipeline_id}/files2
List files for a pipeline with optional filtering, sorting, and pagination.
Path Parameters
pipeline_id: string
Query Parameters
data_source_id: optional string
file_name_contains: optional string
limit: optional number
offset: optional number
only_manually_uploaded: optional boolean
order_by: optional string
Cookie Parameters
session: optional string
Returns
List Pipeline Files2
curl https://api.cloud.llamaindex.ai/api/v1/pipelines/$PIPELINE_ID/files2 \
-H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"{
"files": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"pipeline_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"config_hash": {
"foo": {
"foo": "bar"
}
},
"created_at": "2019-12-27T18:11:19.117Z",
"custom_metadata": {
"foo": {
"foo": "bar"
}
},
"data_source_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"external_file_id": "external_file_id",
"file_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"file_size": 0,
"file_type": "file_type",
"indexed_page_count": 0,
"last_modified_at": "2019-12-27T18:11:19.117Z",
"name": "name",
"permission_info": {
"foo": {
"foo": "bar"
}
},
"project_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"resource_info": {
"foo": {
"foo": "bar"
}
},
"status": "NOT_STARTED",
"status_updated_at": "2019-12-27T18:11:19.117Z",
"updated_at": "2019-12-27T18:11:19.117Z"
}
],
"limit": 0,
"offset": 0,
"total_count": 0
}Returns Examples
{
"files": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"pipeline_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"config_hash": {
"foo": {
"foo": "bar"
}
},
"created_at": "2019-12-27T18:11:19.117Z",
"custom_metadata": {
"foo": {
"foo": "bar"
}
},
"data_source_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"external_file_id": "external_file_id",
"file_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"file_size": 0,
"file_type": "file_type",
"indexed_page_count": 0,
"last_modified_at": "2019-12-27T18:11:19.117Z",
"name": "name",
"permission_info": {
"foo": {
"foo": "bar"
}
},
"project_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"resource_info": {
"foo": {
"foo": "bar"
}
},
"status": "NOT_STARTED",
"status_updated_at": "2019-12-27T18:11:19.117Z",
"updated_at": "2019-12-27T18:11:19.117Z"
}
],
"limit": 0,
"offset": 0,
"total_count": 0
}